classification
Title: Support for cp858
Type: enhancement Stage: patch review
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: benjamin.peterson Nosy List: benjamin.peterson, georg.brandl, haypo, lemburg, thatch
Priority: high Keywords: patch

Created on 2010-02-25 00:17 by thatch, last changed 2010-05-24 21:29 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
cp858.diff thatch, 2010-02-25 00:17 Diffs to create cp858.{txt,py} from cp850.{txt,py}
cp858.diff thatch, 2010-05-11 21:32 Diffs to create cp858.{txt,py} from cp850.{txt,py} (v2)
Messages (6)
msg100081 - (view) Author: Tim Hatch (thatch) Date: 2010-02-25 00:17
Based on codepage 850, codepage 858 adds support for the euro symbol[1].  This codepage is used on many thermal receipt printers, such as the Epson TM-T88IV and NCR 7198 as the only way to print a euro.  There is no CP858.TXT on the unicode.org ftp, so I've attached the diff of the TXT file to create it from CP850, as well as the diff for cp858.py against cp850.py.

The codepage is supported by java[2] and by iconv[3], and it'd be nice if future versions of python could support this natively.

Let me know if there's a better way to provide a fix.

[1]: http://en.wikipedia.org/wiki/CP858
[2]: http://java.sun.com/j2se/1.3/docs/guide/intl/encoding.doc.html
[3]: http://www.gnu.org/software/libiconv/
msg105550 - (view) Author: Tim Hatch (thatch) Date: 2010-05-11 21:32
Uploading corrected diff -- the old one missed a couple of instances of DOTLESS I -> EURO.
msg106299 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-05-22 11:34
Benjamin: OK to put this in 2.7?
msg106313 - (view) Author: Tim Hatch (thatch) Date: 2010-05-22 16:28
I also noticed that libforensics supplies a codec for cp858, if that's helpful to double-check the implementation. http://code.google.com/p/libforensics/source/browse/code/lf/win/codepage/cp858.py
msg106385 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-05-24 20:36
A new codec is quite self-contained, so that's ok.
msg106395 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-05-24 21:29
Thanks all, committed in r81499.
History
Date User Action Args
2010-05-24 21:29:20georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg106395
2010-05-24 20:36:12benjamin.petersonsetmessages: + msg106385
2010-05-22 16:28:05thatchsetmessages: + msg106313
2010-05-22 11:34:51georg.brandlsetpriority: normal -> high

nosy: + georg.brandl, benjamin.peterson
messages: + msg106299

assignee: benjamin.peterson
2010-05-12 23:43:15pitrousetnosy: + lemburg, haypo
stage: patch review

versions: + Python 3.2, - Python 2.7
2010-05-11 21:32:39thatchsetfiles: + cp858.diff

messages: + msg105550
versions: + Python 2.7
2010-02-25 00:17:57thatchcreate